libzypp 17.37.10

ParseDefConsume.h File Reference
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Function.h>`
`#include <zypp/base/Hash.h>`
`#include <zypp/base/String.h>`
`#include <utility>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/parser/xml/Node.h>`

Go to the source code of this file.

## Classes
struct | zypp::xml::ParseDefConsume
| Base class for ParseDef consumer. More...
class | zypp::xml::ParseDefConsumeRedirect
| ParseDef consumer redirecting all events to another consumer. More...
class | zypp::xml::ParseDefConsumeCallback
| ParseDef consumer that invokes callbacks. More...
struct | zypp::xml::parse_def_assign::Assigner< void >
| Common interface to all Assigner types. More...
struct | zypp::xml::parse_def_assign::Assigner< Tp >
| Assigner assigns text to types constructible from `char*`. More...
struct | zypp::xml::parse_def_assign::Consumer
| ParseDef consumer assigning Node text and attribues values to variables. More...
struct | zypp::xml::parse_def_assign::Builder
| Helper class to build a Consumer. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xml
namespace | zypp::xml::parse_def_assign
| parseDefAssign exposed details

## Typedefs
using | zypp::xml::parse_def_assign::AssignerRef = shared_ptr<Assigner<void>>